E-MailRelay

Public Types | Public Member Functions | Static Public Member Functions | List of all members
G::Process::Umask Class Reference

Used to temporarily modify the process umask. More...

`#include <gprocess.h>`

Inheritance diagram for G::Process::Umask:
[legend]

## Public Types
enum class | Mode { NoChange , TightenOther , LoosenGroup , Readable , Tighter , Tightest , GroupOpen , Open }

## Public Member Functions
| Umask (Mode)
| Umask (const Umask &)=delete
| Umask (Umask &&)=delete
Umask & | operator= (const Umask &)=delete
Umask & | operator= (Umask &&)=delete

## Static Public Member Functions
static void | set (Mode)
static void | tightenOther ()
static void | loosenGroup ()

## Detailed Description

Used to temporarily modify the process umask.

Definition at line 196 of file gprocess.h.

## Member Enumeration Documentation

## ◆ Mode

enum class G::Process::Umask::Mode
| strong

Definition at line 199 of file gprocess.h.

## Constructor & Destructor Documentation

## ◆ Umask()

G::Process::Umask::Umask | ( | Mode | mode | ) |
| explicit

Definition at line 331 of file gprocess_unix.cpp.

## ◆ ~Umask()

G::Process::Umask::~Umask | ( |  | ) |
| default

Definition at line 337 of file gprocess_unix.cpp.

## Member Function Documentation

## ◆ loosenGroup()

void G::Process::Umask::loosenGroup | ( |  | ) |
| static

Definition at line 355 of file gprocess_unix.cpp.

## ◆ set()

void G::Process::Umask::set | ( | Mode | mode | ) |
| static

Definition at line 342 of file gprocess_unix.cpp.

## ◆ tightenOther()

void G::Process::Umask::tightenOther | ( |  | ) |
| static

Definition at line 348 of file gprocess_unix.cpp.

The documentation for this class was generated from the following files:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/glib/gprocess.h
- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/glib/gprocess_unix.cpp
- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/glib/gprocess_win32.cpp